## com.fusioncharts.sampledata
Class FactoryDetailsBean

    java.lang.Object
      com.fusioncharts.sampledata.FactoryDetailsBean

    public class FactoryDetailsBean

extends java.lang.Object

Bean containing sample chart data. Default values for all the fields have been set. These can be changed using the set methods. This class has been used as a backing bean in JSF examples.

Author:
  Infosoft Global (P) Ltd.

Field Summary
`protected java.lang.String` `chartId`
`protected java.lang.String` `factoryId`
`protected java.lang.String` `filename`
`protected java.lang.String` `height`
`protected java.lang.String` `useSingleQuotes`
`protected java.lang.String` `width`
`protected java.lang.String` `xml`

Constructor Summary
`FactoryDetailsBean()`

Method Summary
`java.lang.String` `getChartId()`
`private java.lang.String` `getFactoryDetailsXML(java.lang.String factoryId)`
`java.lang.String` `getFactoryId()`
`java.lang.String` `getFilename()`
`java.lang.String` `getHeight()`
`java.lang.String` `getUseSingleQuotes()`
`java.lang.String` `getWidth()`
`java.lang.String` `getXml()`
`void` `setChartId(java.lang.String chartId)`
`void` `setFactoryId(java.lang.String factoryId)`
`void` `setFilename(java.lang.String filename)`
`void` `setHeight(java.lang.String height)`
`void` `setUseSingleQuotes(java.lang.String useSingleQuotes)`
`void` `setWidth(java.lang.String width)`
`void` `setXml(java.lang.String xml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chartId

    protected java.lang.String chartId

### width

    protected java.lang.String width

### height

    protected java.lang.String height

### filename

    protected java.lang.String filename

### xml

    protected java.lang.String xml

### useSingleQuotes

    protected java.lang.String useSingleQuotes

### factoryId

    protected java.lang.String factoryId

Constructor Detail

### FactoryDetailsBean

    public FactoryDetailsBean()

Method Detail

### getChartId

    public java.lang.String getChartId()

### getFactoryDetailsXML

    private java.lang.String getFactoryDetailsXML(java.lang.String factoryId)

### getFactoryId

    public java.lang.String getFactoryId()

  Returns:
    the factoryId

### getFilename

    public java.lang.String getFilename()

### getHeight

    public java.lang.String getHeight()

### getUseSingleQuotes

    public java.lang.String getUseSingleQuotes()

  Returns:
    the useSingleQuotes

### getWidth

    public java.lang.String getWidth()

### getXml

    public java.lang.String getXml()

  Returns:
    the xml

### setChartId

    public void setChartId(java.lang.String chartId)

### setFactoryId

    public void setFactoryId(java.lang.String factoryId)

  Parameters:
    `factoryId` - the factoryId to set

### setFilename

    public void setFilename(java.lang.String filename)

### setHeight

    public void setHeight(java.lang.String height)

### setUseSingleQuotes

    public void setUseSingleQuotes(java.lang.String useSingleQuotes)

  Parameters:
    `useSingleQuotes` - the useSingleQuotes to set

### setWidth

    public void setWidth(java.lang.String width)

### setXml

    public void setXml(java.lang.String xml)

  Parameters:
    `xml` - the xml to set